osl::search::UsiReporter Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::search::UsiReporter Struct Reference

`#include <usiReporter.h>`

## Static Public Member Functions
static void | newDepth (std::ostream &os, int depth)
static void | showPV (std::ostream &os, int depth, size_t node_count, double elapsed, int value, Move cur, const Move *first, const Move *last, bool ignore_silent=false)
static void | showPVExtended (std::ostream &os, int depth, size_t node_count, double elapsed, int value, Move cur, const Move *first, const Move *last, const bool *threatmate_first, const bool *threatmate_last)
static void | rootMove (std::ostream &os, Move cur, bool allow_frequent_display=false)
static void | timeInfo (std::ostream &os, size_t node_count, double elapsed)
static void | hashInfo (std::ostream &os, double ratio)

## Detailed Description

Definition at line 14 of file usiReporter.h.

## Member Function Documentation

void osl::search::UsiReporter::hashInfo | ( | std::ostream & | os,
|  | double | ratio
| ) |  |
| static

Definition at line 101 of file usiReporter.cc.

Referenced by osl::search::UsiMonitor::hashInfo().

void osl::search::UsiReporter::newDepth | ( | std::ostream & | os,
|  | int | depth
| ) |  |
| static

Definition at line 11 of file usiReporter.cc.

Referenced by osl::search::UsiMonitor::newDepth().

void osl::search::UsiReporter::rootMove | ( | std::ostream & | os,
|  | Move | cur,
|  | bool | allow_frequent_display = `false`
| ) |  |
| static

Definition at line 72 of file usiReporter.cc.

References SCOPED_LOCK, and osl::record::csa::show().

Referenced by osl::search::UsiMonitor::rootFirstMove(), and osl::search::UsiMonitor::timeInfo().

void osl::search::UsiReporter::showPV | ( | std::ostream & | os,
|  | int | depth,
|  | size_t | node_count,
|  | double | elapsed,
|  | int | value,
|  | Move | cur,
|  | const Move * | first,
|  | const Move * | last,
|  | bool | ignore_silent = `false`
| ) |  |
| static

Definition at line 18 of file usiReporter.cc.

References osl::record::csa::show().

Referenced by osl::search::UsiMonitor::showPV(), and osl::game_playing::SpeculativeAllMoves::waitResult().

void osl::search::UsiReporter::showPVExtended | ( | std::ostream & | os,
|  | int | depth,
|  | size_t | node_count,
|  | double | elapsed,
|  | int | value,
|  | Move | cur,
|  | const Move * | first,
|  | const Move * | last,
|  | const bool * | threatmate_first,
|  | const bool * | threatmate_last
| ) |  |
| static

Definition at line 46 of file usiReporter.cc.

References osl::record::csa::show().

Referenced by osl::search::UsiMonitor::showPV().

void osl::search::UsiReporter::timeInfo | ( | std::ostream & | os,
|  | size_t | node_count,
|  | double | elapsed
| ) |  |
| static

Definition at line 91 of file usiReporter.cc.

Referenced by osl::search::UsiMonitor::timeInfo().

The documentation for this struct was generated from the following files:

- usiReporter.h
- usiReporter.cc